Vla-put-scmcommandmode

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-scmcommandmode vla-object mode)


機能
現在コマンドが実行されているコマンド モード時の、作図領域での右クリックの機能を決定する。


引数
  • vla-object … PreferencesUser の VLAオブジェクト
  • mode … AcDrawingAreaSCMCommand 列挙型
  • acEnter: コマンド モードのショートカット メニューを無効にする。その結果、コマンドの処理中に作図領域で右クリックすると、[Enter]が発行される。
  • acEnableSCM: コマンド モードのショートカット メニューを有効にする。
  • acEnableSCMOptions: コマンド ライン プロンプトからオプションを使用できる場合にのみ、コマンド モードのショートカット メニューを使用可能にする。コマンド ライン プロンプトで、オプションは角括弧に囲まれている。使用できるオプションがない場合に右クリックすると[Enter]が発行される。


戻り値
nil


  • MEMO : このプロパティの初期値は acEnableSCMOptions。
  • このプロパティは、vma-put-shortcutmenudisplay プロパティが True に設定されている場合にのみ設定できる。
  • 注 : このプロパティの値は、システム変数 SHORTCUTMENU に格納される。


サンプル
(vl-load-com)
(defun c:Example_SCMCommandMode()
    ;; SCMCommandModeを変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; 既定値の読み込み
    (setq originalValue (vla-get-SCMCommandMode (vla-get-User preferences)))
    (alert (strcat "現在の SCMCommandMode 値は: " (itoa originalValue)))

    ;; 変更
    (vla-put-SCMCommandMode (vla-get-User preferences) acEnter)
    (alert (strcat "新しい SCMCommandMode 値は: " (itoa (vla-get-SCMCommandMode (vla-get-User preferences)))))

    ;; 戻す
    (vla-put-SCMCommandMode (vla-get-User preferences) originalValue)
    (alert (strcat "SCMCommandMode 値を次に戻します : " (itoa originalValue)))
)

関連事項